﻿/* site.css */

#main{
    font-family: Raleway,sans-serif;
    font-size: 16px;
}


#navigation{
    margin: 25px 100px;
}

#list{
    text-align: center;
}

#list a{
    text-align:left;
}
#list a i{
    text-align:right;
}

#list .list-group{
    margin-bottom: 0;
}

#list ul {
    margin: 8px auto 0 auto;
}

#list ul li a{
    color: #555555;
}

#list a span
{
    float: right;
}

#list ul li.active a{
    background: #808080;
    color: #fff;
    border-color: #dddddd;
}

#greeting{
    float:left;
}

#searchField {
    text-align: center;
    display: block;
    margin-bottom: 20px;
}


#calendar {
    width: 100%;
    height: 600px;
    background-color: darkred;
}

#btnNewRecipe{
    margin-bottom: 20px;
}

#btnNewRecipe a {
    text-align: center;
}


#list #select {
    display: inline-block;
    width: auto;
    margin: 0 5px;
    font-family: inherit;
}

#leftPanel{
    padding: 25px;
}

/* calendar */
[ng-cloak] {
    display: none;
}

body {
    box-sizing: border-box;
    padding: .3em;
}

.pull-left {
    float: left;
}

.pull-right {
    float: right;
}


#calNav {
    text-align: center;
}

#cal-week-box {
    display: none;
}

mwl-calendar .cal-day-today {
    background-color: #dddddd;
}


/* Recipe Modal */

#rhead{
    height: 75px;
    background-color: #808080;
    min-width: 524px;
}

#rhead .title {
    font-size: 25px;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    font-weight: bold;
    float: left;
    outline-color: transparent;
    background-color: transparent;
    color: #fff;
    width: auto !important;
    min-width: 345px;
    margin-right: 10px;
    cursor: text;
}

    #rhead  input::-webkit-input-placeholder {
        color: #dddddd !important;
    }

    #rhead input:-moz-placeholder { /* Firefox 18- */
        color: #dddddd !important;
    }

    #rhead input::-moz-placeholder { /* Firefox 19+ */
        color: #dddddd !important;
    }

    #rhead input:-ms-input-placeholder {
        color: #dddddd !important;
    }

#rhead .servsize {
    font-size: 20px;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    float: right;    
}

.servsize h4 {
    display: inline-block;
    color: inherit;
}

#rhead .servsize label {
    margin-right: 5px;
    margin-top: 7px;
}
.servsize input {
    color: #111111;
    width: 50px;
    text-align: center;
    font-family: inherit !important;
}

#rbody {
    width: auto !important;
    height: auto !important;
    min-height: 350px;
    max-width: 600px;
}

#rbody #amount {
    max-width: 50px;
    text-align: left;
}

#rbody select{
    display: inline-block;
    width: auto !important;
}

#amount {
    color: #111111;
    width: 100px;
    text-align: center;    
    margin-left: 5px;
}

#rbody .form-control{
    font-family: inherit;
    margin-right: 10px;
    display:inline-block;
    width: auto;
}

.closeButton {
    position: relative;
    height: 24px;
    width: 24px;
    line-height: 30px;
    text-align: center;
    background: rgba(0, 0, 0, 0.3);
    border-radius: 50%;
    border: none;
    box-shadow: none;
    padding: 0;
    margin: 3px;
    transition: background 0.15s linear;
    display: block;
}

.md-chips .md-chip-input-container {
    display: none;
}


md-chips.md-default-theme .md-chips, md-chips .md-chips{
    box-shadow:none;
}
#confirm{
    margin-top: 50px;
}

#confirm button{
    display: inline;
}

#ingrContainer{
    margin-top: 10px;
}

#login {
    margin-top: 100px;
    text-align: center;
    border: 3px solid #666666;
    margin-bottom: 40px;
    padding-bottom: 20px;
}

#login h3{
    letter-spacing: .3em;
}

#login form{
    margin-top: 40px
}

#btnLogin{
    display:inline-block;
    margin: 40px auto;
}

#rbody .panel{
    max-width: 600px;
}

#rbody .panel-body{
    text-align: center;
}

#ingredient{
    display: inline-block;    
}

#ingredient input {
    font-family: inherit;
}

#btnAddIngr {
    margin-bottom: 3px;
    padding: 10px 13px;
}

#btnAddIngr i{
    vertical-align: top;
}

.md-chips,.input-container {
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 12px;
}

.input-container {
    text-align: center;
}

div.shopigr {
    margin: 10px auto;
    text-align: center;
}

div.shopigr span i{
    margin-left: 5px;
}

#shopModal {
    min-height: 150px;
    min-width: 450px;
}

input[date-range-picker] {
    width: 100px;
    margin-right: 5px;
    text-align: center;
    display: inline-block;
}

input[disabled] {
    color: #dddddd;
    font-size: 14px
}

#shopModal label{
    width: 100px;
    text-align: right;
    margin: 5px 15px 10px 0;

}
#shopModal input[type=number]{
    width: 50px;
}

#configModal {
    min-height: 250px;
    min-width: 450px;
}

#configModal td input {
    width: auto;
    max-width: 50px;
}

#configModal td{
    text-align: center;
}

.cancelConfirm {
    position: absolute;
    right: 5px;
    top: 4px;
    bottom: 0px;
    height: 14px;
    cursor: pointer;
}

#recipeNameInput .cancelConfirm {
    position: relative;
    right: 2.7em;
    top: 0.9em;
    bottom: 0px;
    cursor: pointer;
}

.clearInput:hover{
    color: red;
}

.acceptInput:hover{
    color:limegreen;
}

#pagination ul li a{
    cursor: pointer;
}

#prev{
    float:left;
}

#calTitle {
    display: inline;
    vertical-align: middle;
}

#next{
    float: right;
}

mwl-calendar .badge-important {
    background-color: #E02E73;
}

#waitspinner {
    margin-bottom: 10px;
}